# okokBilling

[**YouTube Video**](https://www.youtube.com/watch?v=9gXfTvyzzEI)

## Installation Guide

In case you had the previous okokBilling version (both ESX & QBCore) execute the code below in your database, otherwise ignore it.

```sql
DROP TABLE okokbilling;
```

#### Execute the following SQL code in your database:

```sql
CREATE TABLE `okokbilling` (
    `id` int NOT NULL AUTO_INCREMENT,
    `ref_id` varchar(10) NOT NULL,
    `receiver_identifier` varchar(255) NOT NULL,
    `receiver_name` varchar(255) NOT NULL,
    `author_identifier` varchar(255) NOT NULL,
    `author_name` varchar(255) NOT NULL,
    `society` varchar(255) NOT NULL,
    `society_name` varchar(255) NOT NULL,
    `item` varchar(255) NOT NULL,
    `invoice_value` int NOT NULL,
    `fees_amount` int NOT NULL,
    `status` varchar(50) NOT NULL,
    `notes` LONGTEXT DEFAULT ' ',
    `sent_date` varchar(255) NOT NULL,
    `limit_pay_date` varchar(255) NOT NULL,
    `paid_date` varchar(255) DEFAULT NULL,
    PRIMARY KEY (`id`)
);
```

### Server artifacts

Make sure your server artifacts version is above the **5181**.

* Windows: <https://runtime.fivem.net/artifacts/fivem/build_server_windows/master/>
* Linux: <https://runtime.fivem.net/artifacts/fivem/build_proot_linux/master/>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.okokscripts.io/scripts/okokbilling.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
